Fern Components

Examples of all styled Fern documentation components used across the Makeswift docs.

Inline Code

Use backticks for inline code: format: "uuid" or X-Auth-Token or npm install makeswift.

Here is an overflowing inline code example: /v3/catalog/products?price:min=10&price:max=100&category=electronics&sort=price&order=asc.

This is a double line inline code block embedded in a sentence: GET /v3/catalog/products?price:min=10 that should wrap naturally within the paragraph text.

Callouts

Info

This is an info callout. Use it for general information or tips.

Note

This is a note callout. Use it for additional context or important details.

Warning

This is a warning callout. Use it for potentially dangerous actions or important caveats.

Error

This is an error callout. Use it for critical issues or breaking changes.

Success

This is a success callout. Use it for confirmations or successful outcomes.

Tabs

1import { Makeswift } from "@makeswift/runtime"
2
3const client = new Makeswift("your-api-key")

Tables

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.
Content-Typeapplication/jsonThe content type of the request body.
Acceptapplication/jsonThe expected response format.

Steps

1

Create a new site

Navigate to the Makeswift dashboard and click “Create Site” to get started.

2

Choose a template

Pick a template that best fits your project, or start from a blank canvas.

3

Customize your design

Use the Visual Builder to drag and drop components, adjust styles, and build your layout.

4

Publish your site

When you’re ready, click “Publish” to push your changes live.

Accordion

Single Accordions

Makeswift is a composable visual page builder designed to unlock speed and creativity for marketing teams.

No! Makeswift is a no-code tool that allows you to build fully functioning websites without writing any code.

Accordion Group

Navigate to the Makeswift dashboard and click “Create Site” to get started. You can choose from a template or start from scratch.

Yes! With a custom host, you can connect your own domain. For the default host, Makeswift provides a free subdomain.

Click the “Publish” button in the top right of the Visual Builder. Your changes will be pushed live immediately.

Yes, with a custom host you can create and integrate your own React components into the Visual Builder.

Cards

Code Blocks

makeswift.config.ts
1import { Makeswift } from "@makeswift/runtime"
2import { TextInput, Style } from "@makeswift/runtime/controls"
3
4Makeswift.registerComponent(MyComponent, {
5 type: "my-component",
6 label: "My Component",
7 props: {
8 title: TextInput({ label: "Title", defaultValue: "Hello World" }),
9 className: Style(),
10 },
11})

Badges

These are the doc badge variants:

Badges are shown inline: Info Note Warning Error Success

Frames

Visual Builder

The Makeswift Visual Builder interface